
package de.ivu.elect.presentation.niederschrift.menu;

import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.niederschrift.NiederschriftViewContext;
import de.ivu.elect.presentation.ui.AbstractPageMenuModelBuilder;

@Named(NiederschriftPageMenu.COMPONENT_NAME)
public class NiederschriftPageMenu extends AbstractPageMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "niederschriftPageMenu";

  @Inject
  private transient NiederschriftViewContext niederschriftViewContext;

  @Inject
  private transient NiederschriftMainMenuEntry niederschriftMainMenuEntry;

  public NiederschriftPageMenu() {
    super();
  }

  @Override
  public boolean isRendered() {
    return super.isRendered() && !isNiederschriftErfassungMitWahlContext(); // ELECTMUC-2749
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    return niederschriftMainMenuEntry.getSubMenuEntriesSorted();
  }

  private boolean isNiederschriftErfassungMitWahlContext() {
    return niederschriftViewContext.isNiederschriftErfassungMitWahlContext();
  }
}
